OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
base.h File Reference
`#include "orte_config.h"`
`#include "orte/types.h"`
`#include "opal/mca/mca.h"`
`#include "opal/dss/dss_types.h"`
`#include "orte/mca/ess/ess.h"`

Go to the source code of this file.

## Functions
BEGIN_C_DECLS ORTE_DECLSPEC int | orte_ess_base_open (void)
| Open the ess framework.
ORTE_DECLSPEC int | orte_ess_base_select (void)
| Select a ess module.
ORTE_DECLSPEC int | orte_ess_base_close (void)
| Close the ess framework.
ORTE_DECLSPEC int | orte_ess_base_proc_get_epoch (orte_process_name_t *proc)
| Generic function to retrieve the epoch of a specific process from the job data.
ORTE_DECLSPEC int | orte_ess_env_get (void)
ORTE_DECLSPEC int | orte_ess_base_std_prolog (void)
ORTE_DECLSPEC int | orte_ess_base_app_setup (void)
ORTE_DECLSPEC int | orte_ess_base_app_finalize (void)
ORTE_DECLSPEC void | orte_ess_base_app_abort (int status, bool report) __opal_attribute_noreturn__
ORTE_DECLSPEC int | orte_ess_base_tool_setup (void)
ORTE_DECLSPEC int | orte_ess_base_tool_finalize (void)
ORTE_DECLSPEC int | orte_ess_base_orted_setup (char **hosts)
ORTE_DECLSPEC int | orte_ess_base_orted_finalize (void)
ORTE_DECLSPEC int | orte_ess_base_query_sys_info (char *node, char **keys, opal_list_t *values)
ORTE_DECLSPEC opal_paffinity_locality_t | orte_ess_base_proc_get_locality (orte_process_name_t *proc)
ORTE_DECLSPEC orte_vpid_t | orte_ess_base_proc_get_daemon (orte_process_name_t *proc)
ORTE_DECLSPEC char * | orte_ess_base_proc_get_hostname (orte_process_name_t *proc)
ORTE_DECLSPEC orte_local_rank_t | orte_ess_base_proc_get_local_rank (orte_process_name_t *proc)
ORTE_DECLSPEC orte_node_rank_t | orte_ess_base_proc_get_node_rank (orte_process_name_t *proc)
ORTE_DECLSPEC int | orte_ess_base_update_pidmap (opal_byte_object_t *bo)
ORTE_DECLSPEC int | orte_ess_base_update_nidmap (opal_byte_object_t *bo)
ORTE_DECLSPEC int | orte_ess_env_put (orte_std_cntr_t num_procs, orte_std_cntr_t num_local_procs, char ***env)

## Variables
ORTE_DECLSPEC int | orte_ess_base_output
ORTE_DECLSPEC int | orte_ess_base_std_buffering
ORTE_DECLSPEC opal_list_t | orte_ess_base_components_available

## Function Documentation

ORTE_DECLSPEC int orte_ess_base_orted_setup | ( | char ** | hosts | ) |

setup callbacks for signals we should ignore

References orte_rml_module_t::enable_comm, hwloc_get_root_obj(), hwloc_obj::infos, hwloc_obj::infos_count, mca_base_param_reg_string_name(), hwloc_obj_info_s::name, orte_proc_info_t::nodename, OBJ_CONSTRUCT, OPAL_HWLOC_TOPO, opal_os_path(), opal_output(), opal_output_get_verbosity(), opal_output_set_output_file_info(), OPAL_OUTPUT_VERBOSE, orte_errmgr_base_open(), orte_grpcomm_base_open(), orte_grpcomm_base_select(), orte_iof_base_open(), orte_iof_base_select(), orte_notifier_base_open(), orte_notifier_base_select(), orte_odls_base_open(), orte_odls_base_select(), orte_plm_base_open(), orte_plm_base_select(), ORTE_PROC_MY_NAME, orte_process_info, orte_rml, orte_rml_base_open(), orte_rml_base_select(), orte_routed, orte_sensor_base_open(), orte_sensor_base_select(), orte_session_dir(), orte_show_help(), orte_proc_info_t::proc_session_dir, orte_proc_info_t::tmpdir_base, orte_proc_info_t::top_session_dir, and hwloc_obj_info_s::value.